
Gem::Specification::new do |s|
  version = "1.2.1"

  files = Dir.glob("**/*") - [ 
                               Dir.glob("carray-dataframe*.gem"), 
                               Dir.glob("examples/**/*"), 
                               Dir.glob("test/**/*"), 
                             ].flatten

  s.platform    = Gem::Platform::RUBY
  s.name        = "carray-dataframe"
  s.summary     = "DataFrame in Ruby"
  s.description = <<-HERE
    DataFrame in Ruby
  HERE
  s.version     = version
  s.author      = "Hiroki Motoyoshi"
  s.email       = ""
  s.homepage    = 'https://github.com/himotoyoshi/carray-dataframe'
  s.license     = 'MIT'
  s.files       = files
  s.required_ruby_version = ">= 1.8.1"
  s.add_runtime_dependency 'carray', '~> 1.5'
  s.add_runtime_dependency 'caxlsx', '~> 3.0'
  s.add_runtime_dependency 'spreadsheet', '~> 1.1'
end
